# file: EmailAttachments.pl

# Perl script showing how to send email with attachments

use chilkat;

$mailman = new chilkat::CkMailMan();
$mailman->UnlockComponent('anything for 30-day trial');

# Set the SMTP server hostname
$mailman->put_SmtpHost('smtp.comcast.net');

# If your SMTP server requires a login, set username/password
# $mailman->put_SmtpUsername('myUsername');
# $mailman->put_SmtpPassword('myPassword');

# Create a simple email
$email = new chilkat::CkEmail();
$email->put_Subject('Sending mail with attachments from Perl');
$email->put_Body('This e-mail was sent from a Perl script');
$email->put_From('Chilkat Support <support@chilkatsoft.com>');

# Add a few recipients
$email->AddTo('Matt','matt@chilkatsoft.com');
$email->AddTo('TagTooga','admin@tagtooga.com');
    
# Attachments can be added from files or in-memory data.
# Returns true if the file was added successfully.  The content-type
# is returned in the 2nd argument.  This is for the benefit of programs
# that may need it (for whatever reason), but most users do not.
$contentType = new chilkat::CkString();
$success = $email->AddFileAttachment('exampleData/hamlet.xml',$contentType);
# Any method that returns a success status
# will return false for failure and true for success.
# The last-error information can be obtained by examining the LastErrorText
# property or by calling SaveLastError on the instance of the object.
	
# You may add a text file attachment directly from a string in memory.
# AddStringAttachment2 allows for the charset encoding to be directly specified.
# AddStringAttachment automatically uses the utf-8 encoding for text file attachments.
$email->AddStringAttachment('test1.txt','This string is the content of test1.txt');
$email->AddStringAttachment2('test2.txt','This string is the content of test2.txt','iso-8859-1');

$success = $mailman->SendEmail($email);
if (! $success)
    {
	$mailman->SaveLastError('lastError.txt');	
    }

