# file: EncryptedEmail.pl

# Perl script to send encrypted email using a digital certificate.

use chilkat;

$mailman = new chilkat::CkMailMan();
$mailman->UnlockComponent('anything for 30-day trial');

# Set the SMTP server hostname
$mailman->put_SmtpHost('smtp.comcast.net');

# If your SMTP server requires a login, set username/password
# $mailman->put_SmtpUsername('myUsername');
# $mailman->put_SmtpPassword('myPassword');

# Create a simple email
$email = new chilkat::CkEmail();
$email->put_Subject('Sending encrypted mail from Perl');
$email->put_Body('This encrypted e-mail was sent from a Perl program');
$email->put_From('Chilkat Support <support@chilkatsoft.com>');

# Add a single recipient
$email->AddTo('TagTooga','admin@tagtooga.com');
    
# There are a number of ways to send digitally encrypted email using Chilkat.
# This example demonstrates the easiest (other examples will explore
# some of the other possibilities).
# To send an encrypted email, you will first need the digital certificate
# for the recipient. The email address in the certificate should match
# the recipient's email address.  You do not need the private key to send
# encrypted email: only the public-key is required.  The recipient however,
# must have his/her certificate installed with private key in order to decrypt.
# 
# If you have the digital certificate in a .cer file, double-click on it from
# Windows Explorer and install the certificate in the default location.  
# Chilkat should now be able to locate it.  You only need to set the SendEncrypted
# property = true to send encrypted email.  
#
# That's it.  When SendEmail is called, it will locate the certificate matching
# the recipient's email address, encrypt the email (including all attachments) and 
# send it.
$email->put_SendEncrypted(true);

# Note: When sending encrypted mail, only one recipient is allowed.  If you wish
# to send the same email to multiple recipients, create a program loop to call
# SendEmail for each recipient.
$success = $mailman->SendEmail($email);
if (! $success)
    {
	$mailman->SaveLastError('lastError.txt');	
    }

