# file: HtmlEmail1.pl

# Send an HTML email using CkMht to help
# A sample .html file with four images and a style sheet
# has been pre-made for this example (testEmail.html).
# The images are located in the "images" subdirectory,
# and the CSS file is found in the "css" subdirectory.
# The CkMht class can load the HTML file and return
# a CkEmail object with all external (related) items 
# embedded (i.e. style sheets and images).

use chilkat;

$mailman = new chilkat::CkMailMan();
$mailman->UnlockComponent('anything for 30-day trial');

# The MHT component is used to load an HTML and automatically
# embed all referenced images and style sheets into an email object.
$mht = new chilkat::CkMht();
$mht->UnlockComponent('anything for 30-day trial');

# Set the SMTP server hostname
$mailman->put_SmtpHost('smtp.comcast.net');

# If your SMTP server requires a login, set username/password
# $mailman->put_SmtpUsername('myUsername');
# $mailman->put_SmtpPassword('myPassword');

# Create a simple email
$email = $mht->GetEmail('testEmail.html');
$email->put_Subject('Sending HTML email from Perl');
$email->put_From('Chilkat Support <support@chilkatsoft.com>');

# Add a few recipients
$email->AddTo('Matt','matt@chilkatsoft.com');
$email->AddTo('TagTooga','admin@tagtooga.com');
   
# Send the HTML e-mail with embedded images and CSS style sheet.
$success = $mailman->SendEmail($email);
if (! $success)
    {
	$mailman->SaveLastError('lastError.txt');	
    }

