# file: MailWebPage.pl

# Downloads a web page and all embedded images and CSS style
# sheets into a CkEmail object.
# The web page converted to email is: 
# http:#www.chilkatsoft.com/testEmail/testEmail.html

use chilkat;

$mailman = new chilkat::CkMailMan();
$mailman->UnlockComponent('anything for 30-day trial');

# The MHT component is used to download a web page (URL) and automatically
# embed all referenced images and style sheets into an email object.
$mht = new chilkat::CkMht();
$mht->UnlockComponent('anything for 30-day trial');

# Set the SMTP server hostname
$mailman->put_SmtpHost('smtp.comcast.net');

# If your SMTP server requires a login, set username/password
# $mailman->put_SmtpUsername('myUsername');
# $mailman->put_SmtpPassword('myPassword');

# Create a simple email
$email = $mht->GetEmail('http://www.chilkatsoft.com/testEmail/testEmail.html');
$email->put_Subject('Web page converted to email from Perl');
$email->put_From('Chilkat Support <support@chilkatsoft.com>');

# Add a few recipients
$email->AddTo('Matt','matt@chilkatsoft.com');
$email->AddTo('TagTooga','admin@tagtooga.com');
   
# Send the HTML e-mail.
$success = $mailman->SendEmail($email);
if (! $success)
    {
	$mailman->SaveLastError('lastError.txt');	
    }

