# file: SmtpSsl.pl

# Perl script to send email over an SSL secure connection.

# Connects to an SMTP server via SSL and sends mail.
# The default non-secure port for SMTP servers is 25.
# Usually, the SMTP SSL port is 465.  To send e-mail over
# SSL, it's as simple as setting two properties prior to sending:
	
# 1) Set the SmtpSsl property = true to indicate that you want SSL.
# 2) Set the SmtpPort property = 465

# Note: When sending email over an SSL connection, *everything* is protected.
# If authentication is required, your login/password is sent securely.  
# The entire email, including attachments, is sent over SSL.
	
use chilkat;

$mailman = new chilkat::CkMailMan();
$mailman->UnlockComponent('anything for 30-day trial');

# Set the SMTP server hostname
$mailman->put_SmtpHost('smtp.comcast.net');

# Indicate that we want SSL:
$mailman->put_SmtpPort(465);
$mailman->put_SmtpSsl(true);

# If your SMTP server requires a login, set username/password
$mailman->put_SmtpUsername('***');
$mailman->put_SmtpPassword('***');

# Instantiate a new email object.
$email = new chilkat::CkEmail();
$email->put_Subject('Sending mail from Perl over SSL');
$email->put_Body('I sent this email using Perl over SSL!');
$email->put_From('Chilkat Support <support@chilkatsoft.com>');

# Add some recipients
$email->AddTo('Matt','matt@chilkatsoft.com');
$email->AddTo('TagTooga','admin@tagtooga.com');
    
$success = $mailman->SendEmail($email);
if (! $success)
    {
	$mailman->SaveLastError('lastError.txt');	
    }

