# file: StartTls.pl

# Perl script to send email using SMTP STARTTLS.

# Connects to an SMTP server on the standard non-secure
# port 25 and issues a STARTTLS command to convert the connection
# to a secure SSL/TLS channel.

# One additional line of code is required to do this:
# you simply need to tell the mailman that you want STARTTLS
# by setting the StartTLS property = true.
	
# Note: When sending email using STARTTLS, *everything* is protected.
# If authentication is required, your login/password is sent securely.  
# The entire email, including attachments, is sent over SSL.
	
use chilkat;

$mailman = new chilkat::CkMailMan();
$mailman->UnlockComponent('anything for 30-day trial');

# Set the SMTP server hostname
$mailman->put_SmtpHost('smtp.comcast.net');

# Indicate that we want STARTTLS:
$mailman->put_StartTLS(true);

# If your SMTP server requires a login, set username/password
#$mailman->put_SmtpUsername('***');
#$mailman->put_SmtpPassword('***');

# Instantiate a new email object.
$email = new chilkat::CkEmail();
$email->put_Subject('Sending mail from Perl with STARTTLS');
$email->put_Body('I sent this email using Perl over a secure channel!');
$email->put_From('Chilkat Support <support@chilkatsoft.com>');

# Add some recipients
$email->AddTo('Matt','matt@chilkatsoft.com');
$email->AddTo('TagTooga','admin@tagtooga.com');
    
$success = $mailman->SendEmail($email);
if (! $success)
    {
	$mailman->SaveLastError('lastError.txt');	
    }
else 
{
	# The log will contain information allowing you to verify
	# what actually happened.
	# If you see an error "Error authenticating server credentials!" this is 
	# normal and OK.
	$mailman->SaveLastError('lastInfo.txt');	
}
