# file: findCert.pl

use chilkat;

# How to find a digital certificate matching an email address in
# the Windows registry Current User Certificate Store.

# The CkCert, CkCertStore, and CkCreateCS are free utility classes that can be 
# used in any Perl application/script without the need to purchase a license.

$ccs = new chilkat::CkCreateCS();

# Open the current-user certificate store in read-only mode.
$ccs->put_ReadOnly(true);
$certStore = $ccs->OpenCurrentUserStore();

if ($certStore == null)
{
	$ccs->SaveLastError("lastError.txt");
	print "Failed to open current user certificate store\n";
}
else
{
	$cert = $certStore->FindCertBySubjectE('admin@tagtooga.com');
	if ($cert == null)
	{
		print 'Failed to find certificate matching admin@tagtooga.com\n';
	}
	else
	{
		# Print the distinguished name of the certificate.
		print "Subject Distinguished Name: " . $cert->subjectDN . "\n";
	}
}

