# file: xmlSort.pl

use chilkat;

# Perl XML Sort an XML document containing NFL quarterback names.
$xml = new chilkat::CkXml();
	
$xml->LoadXmlFile("quarterbacks.xml");
# XML file contains:
# <quarterbacks>
# <qb><lastname>Anderson</lastname><firstname>Derek</firstname><team>Cleveland Browns</team></qb>
# <qb><lastname>Baker</lastname><firstname>Matt</firstname><team>Dallas Cowboys</team></qb>
# <qb><lastname>Basanez</lastname><firstname>Brett</firstname><team>Carolina Panthers</team></qb>
# <qb><lastname>Batch</lastname><firstname>Charlie</firstname><team>Pittsburgh Steelers</team></qb>
# ...
# </quarterbacks>
	
# Sort by team name.
# Each <qb> node is a record (having the fields lastname, firstname, and team.
$ascending = 1;
$xml->SortRecordsByContent("team",$ascending);

# Print the quarterbacks by team:
$qb = $xml->FirstChild();
while ($qb != null) 
{
	print $qb->childContent("team") . ": " . $qb->childContent("firstname") . " " . $qb->childContent("lastname") . "\n";
		
	$qb = $qb->NextSibling();
}

# Output is:
# Arizona Cardinals: John Navarre
# Arizona Cardinals: Matt Leinart
# Arizona Cardinals: Shane Boyd
# Arizona Cardinals: Kurt Warner
# Atlanta Falcons: D.J. Shockley
# Atlanta Falcons: Matt Schaub
# Atlanta Falcons: Michael Vick
# Baltimore Ravens: Kyle Boller
# Baltimore Ravens: Steve McNair
# Baltimore Ravens: Drew Olson
# Buffalo Bills: J.P. Losman
# Buffalo Bills: Kelly Holcomb
# Buffalo Bills: Craig Nall
# Carolina Panthers: Jake Delhomme
# Carolina Panthers: Chris Weinke
# Carolina Panthers: Brett Basanez
# Chicago Bears: Brian Griese
# Chicago Bears: Rex Grossman
# Chicago Bears: Kyle Orton
# Cincinnati Bengals: Anthony Wright
# Cincinnati Bengals: Carson Palmer
# Cincinnati Bengals: Doug Johnson
# Cleveland Browns: Ken Dorsey
# Cleveland Browns: Derek Anderson
# Dallas Cowboys: Drew Bledsoe
# Dallas Cowboys: Tony Romo
# Dallas Cowboys: Matt Baker
# Denver Broncos: Jay Cutler
# Denver Broncos: Preston Parsons
# Denver Broncos: Jake Plummer
# Detroit Lions: Jon Kitna
# Detroit Lions: Dan Orlovsky
# Detroit Lions: Josh McCown
# Green Bay Packers: Aaron Rodgers
# Green Bay Packers: Ingle Martin
# Green Bay Packers: Brett Favre
# Houston Texans: Sage Rosenfels
# Houston Texans: Quinton Porter
# Houston Texans: David Carr
# Indianapolis Colts: Josh Betts
# Indianapolis Colts: Jim Sorgi
# Indianapolis Colts: Peyton Manning
# Jacksonville Jaguars: David Garrard
# Jacksonville Jaguars: Byron Leftwich
# Jacksonville Jaguars: Quinn Gray
# Kansas City Chiefs: Casey Printers
# Kansas City Chiefs: Trent Green
# Kansas City Chiefs: Damon Huard
# Kansas City Chiefs: Brodie Croyle
# Miami Dolphins: Joey Harrington
# Miami Dolphins: Daunte Culpepper
# Miami Dolphins: Cleo Lemon
# Minnesota Vikings: Tarvaris Jackson
# Minnesota Vikings: Brooks Bollinger
# Minnesota Vikings: Brad Johnson
# New England Patriots: Matt Cassel
# New England Patriots: Tom Brady
# New Orleans Saints: Jason Fife
# New Orleans Saints: Jamie Martin
# New Orleans Saints: Drew Brees
# New York Giants: Eli Manning
# New York Giants: Jared Lorenzen
# New York Giants: Tim Hasselbeck
# New York Jets: Patrick Ramsey
# New York Jets: Chad Pennington
# New York Jets: Kellen Clemens
# Oakland Raiders: Marques Tuiasosopo
# Oakland Raiders: Aaron Brooks
# Oakland Raiders: Andrew Walter
# Oakland Raiders: Kent Smith
# Philadelphia Eagles: A.J. Feeley
# Philadelphia Eagles: Jeff Garcia
# Philadelphia Eagles: Donovan McNabb
# Pittsburgh Steelers: Ben Roethlisberger
# Pittsburgh Steelers: Charlie Batch
# Pittsburgh Steelers: Brian St. Pierre
# San Diego Chargers: Billy Volek
# San Diego Chargers: Charlie Whitehurst
# San Diego Chargers: Philip Rivers
# San Francisco 49ers: Alex Smith
# San Francisco 49ers: Trent Dilfer
# San Francisco 49ers: Shaun Hill
# Seattle Seahawks: Matt Hasselbeck
# Seattle Seahawks: Gibran Hamdan
# Seattle Seahawks: Seneca Wallace
# Seattle Seahawks: David Greene
# St. Louis Rams: Ryan Fitzpatrick
# St. Louis Rams: Marc Bulger
# St. Louis Rams: Gus Frerotte
# Tampa Bay Buccaneers: Chris Simms
# Tampa Bay Buccaneers: Luke McCown
# Tampa Bay Buccaneers: Tim Rattay
# Tampa Bay Buccaneers: Bruce Gradkowski
# Tennessee Titans: Matt Mauck
# Tennessee Titans: Kerry Collins
# Tennessee Titans: Vince Young
# Washington Redskins: Todd Collins
# Washington Redskins: Jason Campbell
# Washington Redskins: Mark Brunell
