# file: xmlZip.pl

use chilkat;

# Perl XML Zip-compress a sub-tree within an XML document.
$xml = new chilkat::CkXml();
	
$xml->LoadXmlFile("players.xml");
# XML file contains:
# <nfl>
# <linebackers>
# <lb><lastname>Urlacher</lastname><firstname>Brian</firstname><team>Chicago Bears</team></lb>
# </linebackers>
# <quarterbacks>
# <qb><lastname>Anderson</lastname><firstname>Derek</firstname><team>Cleveland Browns</team></qb>
# <qb><lastname>Baker</lastname><firstname>Matt</firstname><team>Dallas Cowboys</team></qb>
# <qb><lastname>Basanez</lastname><firstname>Brett</firstname><team>Carolina Panthers</team></qb>
# <qb><lastname>Batch</lastname><firstname>Charlie</firstname><team>Pittsburgh Steelers</team></qb>
# ...
# </quarterbacks>
# </nfl>
		
# This example will compress the "quarterbacks" sub-tree.
# First, move to the quarterbacks node:
$qb = $xml->FindChild("quarterbacks");

# Zip the entire tree:
$qb->ZipTree();

# Examine the XML source of the document:
print $xml->xml;

# Unzip the entire tree.
$qb->UnzipTree()
# The XML is now back to its original state.
	
	
# The XML looks like this when the "quarterbacks" sub-tree is zipped:
<nfl>
<linebackers>
<lb>
<lastname>Urlacher</lastname>
<firstname>Brian</firstname>
<team>Chicago Bears</team>
</lb>
</linebackers>
<quarterbacks>
<![CDATA[vVpNbyI5EL2vNP+hf0Fy2ctK0UhAT5IhkLCAEs2x6C66LdwuxnbDkF+/1cx+SCOXu03QXoIA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==
]]></quarterbacks>
</nfl>
